#
# Makefile created by mfg (version 2.1)
#

TARGET =	all
CLEAN =		gless.o menu.o slider.o windows.o clist.o style.o hello.o
ADDLIBS =
HEADERS =
OBJECTS =	gless.o menu.o slider.o windows.o clist.o style.o hello.o
SOURCES =	menu.m gless.m windows.m style.m hello.m clist.m slider.m
JAVACLS =
JAVASRC =

#>		--- do not remove this line ---
AR =		ar
ARFLAGS =	cr
BINEXT =
CC =		@CC@
CFLAGS =	@CFLAGS@# -Wall -Wno-parentheses -Wno-import
CPPFLAGS =	@CPPFLAGS@
DEFS =		@DEFS@
DISTCLEAN =	Makefile config.h config.cache config.log config.status libtool
INCLUDES =	@GTK_CFLAGS@
INSTALL =	@INSTALL@
INSTALL_DATA =	$(INSTALL) -m 644
INSTALL_PROGRAM =	$(INSTALL) -s
LDFLAGS =	@LDFLAGS@
LEX =		@LEX@
LIBS =		-lGToolKit @LIBS@ -lobjc @GTK_LIBS@ @PTHREAD@# -lm
LIBTOOL =	@LIBTOOL@ $(LTFLAGS)
LPR =		lpr -h
PROGRAMS =	$(OBJECTS:.o= )
RANLIB =	@RANLIB@
RM =		rm -f
VERSION =	0
YACC =		@YACC@

prefix =	@prefix@
exec_prefix =	@exec_prefix@
bindir =	@bindir@
datadir =	@datadir@
includedir =	@includedir@
infodir =	@infodir@
libdir =	@libdir@
libexecdir =	@libexecdir@
mandir =	@mandir@
sbindir =	@sbindir@
sysconfdir =	@sysconfdir@
top_builddir =	@top_srcdir@

COMPILE =	$(CC) -c $(CFLAGS) $(DEFS) $(INCLUDES) $(CPPFLAGS)

default :	$(TARGET)

.SUFFIXES:	.m .cc
.c.o:
		$(COMPILE) $< -o $@
.m.o:
		$(COMPILE) $< -o $@
.cc.o:
		$(COMPILE) $< -o $@
.o:
		$(CC) $(LDFLAGS) $< $(ADDLIBS) $(LIBS) -o $@
%:	%.o
		$(CC) $(LDFLAGS) $< $(ADDLIBS) $(LIBS) -o $@

SHELL =		/bin/sh

$(TARGET) :	$(ADDLIBS) $(OBJECTS:.o= )

check :		$(TARGET)

clean :
		$(RM) $(CLEAN) $(OBJECTS:.o= ) $(PROGRAMS) core

distclean :	clean
		$(RM) $(DISTCLEAN)

print :
		$(LPR) $(HEADERS) $(SOURCES)

install :	$(TARGET)
		$(INSTALL_PROGRAM) $(PROGRAMS) $(bindir)

uninstall :
		cd $(bindir) && $(RM) $(PROGRAMS)

#>		--- do not remove this line ---

Force_Update :

gless.o :	gless.m

menu.o :	menu.m

slider.o :	slider.m

windows.o :	windows.m

clist.o :	clist.m

style.o :	style.m

hello.o :	hello.m
